import React, { Component } from 'react';

import moment from 'moment';
import DatePicker from 'react-datepicker';

require("./DatePicker.scss");


export default ({ value, onChange, dateFormat, disabled, ...props }) => {

    let d = value;
    if (d) {
        d = moment(d, 'YYYY-MM-DD');
    }

    return <DatePicker 
        selected={ d } 
        onChange={ onChange ? (d) => onChange(d ? d.format('YYYY-MM-DD') : null) : null } 
        dateFormat={ dateFormat } 
        disabled={ disabled }
        />
}